# Class: ApplicationPropertiesClient

## ApplicationPropertiesClient

## Constructor

#### new ApplicationPropertiesClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/application-properties'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/application-properties.js, line 5

### Methods

#### getProperties(opts, callback)

Modify an application property via PUT. The "value" field present in the PUT will override thee existing value.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | The options for modifying the application property. ###### Properties
Name | Type | Description
--- | --- | ---
`id` |  | The id of the property to be modified
`property` |  | The new data for the property. See https://docs.atlassian.com/jira/REST/latest/#d2e4891
`callback` |  | Called when the property has been modified

Source:
  - api/application-properties.js, line 49

#### getProperties(optsopt, callback)

Gets an application property.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`opts` |  | <optional> | The options used to make the request. ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`key` |  | <optional> | A String containing the property key.
`permissionLevel` |  | <optional> | When fetching a list specifies the permission level of all items in the list.
`keyFilter` |  | <optional> | When fetching a list allows the list to be filtered by the property's start of key e.g. "jira.lf.*" whould fetch only those permissions that are editable and whose keys start with "jira.lf.". This is a regex
`callback` |  |  | Called when the properties are retrieved.

Source:
  - api/application-properties.js, line 13